Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMappingInfo

    public interface UrlMappingInfo

Defines that data that was produced when matching a URI with a UrlMapping instance.

Authors:
  Graeme Rocher

See Also:
  UrlMapping

Since:
  0.5

Method Summary
`void` | `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
`java.lang.String` | `getActionName()` The name of the action that the URL mappping maps to
`java.lang.String` | `getControllerName()` The name of the controller that the URL mapping maps to
`java.lang.String` | `getId()` The id part of the URL mapping if any
`java.util.Map` | `getParameters()` The parameters that were extracted from the URI that was matched
`java.lang.String` | `getPluginName()`
`java.lang.String` | `getURI()` The URI to map to.
`java.lang.String` | `getViewName()` The name of the view that the URL mappping maps to
`boolean` | `isParsingRequest()` Returns true of the request body should be parsed.

Method Detail

### configure

    public void configure(GrailsWebRequest webRequest)

  Configure this UrlMappingInfo the for the given GrailsWebRequest
  Parameters:
    `webRequest` - The GrailsWebRequest instance

### getActionName

    public java.lang.String getActionName()

  The name of the action that the URL mappping maps to
  Returns:
    The name of the action or null if not known

### getControllerName

    public java.lang.String getControllerName()

  The name of the controller that the URL mapping maps to
  Returns:
    The name of the controller

### getId

    public java.lang.String getId()

  The id part of the URL mapping if any
  Returns:
    The id or null

### getParameters

    @SuppressWarnings("rawtypes")
    public java.util.Map getParameters()

  The parameters that were extracted from the URI that was matched
  Returns:
    A Map of parameters

### getPluginName

    public java.lang.String getPluginName()

### getURI

    public java.lang.String getURI()

  The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both
  Returns:
    The URI to use

### getViewName

    public java.lang.String getViewName()

  The name of the view that the URL mappping maps to
  Returns:
    The name of the view or null if not known

### isParsingRequest

    public boolean isParsingRequest()

  Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets
  Returns:
    true if it is

Groovy Documentation